import type {ListViewConfig} from '@/helpers/models';

export const listViewConfig: ListViewConfig = {
  url: 'str',
  allowedGlobalActions: ['add'],
  searchFormOptions: {
    schools: [
      {
        value: 'DEMOSCHOOL',
        label: 'DEMOSCHOOL',
      }, {
        value: 'School1',
        label: 'Schule 1',
      },
    ],
    activationStates: [
      {
        value: 'aktiviert',
        label: 'Aktiviert',
      }, {
        value: 'deactivated',
        label: 'Deaktiviert',
      },
    ],
    networkAccess: [
      {
        value: 'aktiviert',
        label: 'Aktiviert',
      }, {
        value: 'deactivated',
        label: 'Deaktiviert',
      },
    ],
    roles: [
      {
        value: 'student',
        label: 'Lernende',
      },
      {
        value: 'generic_user',
        label: 'Nutzende',
      },
      {
        value: 'teacher',
        label: 'Lehrende',
      },
      {
        value: 'school_admin',
        label: 'Schuladmins',
      },
      {
        value: 'technical_admin',
        label: 'Fachliche Leitstelle',
      },
    ],
  },
  columns: [
    {
      label: 'First name',
      attribute: 'firstname',
    },
    {
      label: 'Last name',
      attribute: 'lastname',
      sorting: 'asc',
    },
    {
      label: 'Nickname',
      attribute: 'divisNickname',
    },
    {
      label: 'User name',
      attribute: 'username',
    },
    {
      label: 'Schools',
      attribute: 'schools',
      formatter: 'list',
      sortFormatter: 'list',
    },
    {
      label: 'Primary mail address',
      attribute: 'email',
    },
    {
      label: 'Activation state',
      attribute: 'disabled',
      formatter: 'activationState',
    },
    {
      label: 'Role',
      attribute: 'ucsschool_roles',
      formatter: 'list',
      sortFormatter: 'list',
    },
    {
      label: 'Source UID',
      attribute: 'source_uid',
    },
    {
      label: 'Record UID',
      attribute: 'record_uid',
    },
    {
      label: 'Creation date',
      attribute: 'create_timestamp',
      formatter: 'date:true',
    },
    {
      label: 'Date of last change',
      attribute: 'modify_timestamp',
      formatter: 'date:true',
    },
    {
      label: 'Account activation date',
      attribute: 'account_activation_date',
      formatter: 'date',
    },
    {
      label: 'Account expiry date',
      attribute: 'expiration_date',
    },
    {
      label: 'Scheduled deletion date',
      attribute: 'ucsschool_purge_timestamp',
    },
  ],
};
